/*

Código fuente creado por JailDesigner
Empezado en Castalla el 01/07/2022.

*/

#include "director.h"
#include <stdio.h>

int main(int argc, char *args[])
{
	printf("Starting the game...\n\n");

	// Crea el objeto Director
	Director *mDirector = new Director(args[0]);

	// Bucle principal
	mDirector->run();

	// Destruye el objeto Director
	delete mDirector;
	mDirector = nullptr;

	printf("\nShutting down the game...\n");

	return 0;
}
